<template>
    <dropdown icon="MAP" paddingless=true>
        <div v-bind:key="key" v-for="(style, key, index) in STYLES" >
            <a 
                v-on:click="map.setMapStyle(style)" 
                v-bind:style="{ backgroundImage: 'url(img/styles/' + key.toLowerCase() + '.png)' }"
                v-bind:class="{ 'last-style-anchor' : index == Object.keys(STYLES).length - 1 }"
                class="navbar-item style-anchor" 
            />
            <hr v-if="index != STYLES[1]">
        </div>
    </dropdown>
</template>

<script lang="ts">
    import { Component, Vue } from 'vue-property-decorator';
    import { State } from 'vuex-class';
    import Dropdown from './Dropdown.vue';
    import IconBase from './IconBase.vue';

    import { Mapview } from '@/ts/mapview';
    import { STYLES } from '@/ts/enums';

    @Component({
        components: {
            Dropdown,
            IconBase,
        },
    })
    export default class BarTileSelector extends Vue {
        @State('map') private map!: Mapview;

        private STYLES: typeof STYLES = STYLES;
    }
</script>

<style scoped>
    hr {
        margin: 0;
        height: 4px;
        color: #f9f9f9;
    }

    .style-anchor {
        width: 200px;
        height: 80px;
        background-position: center;
    }

    .last-style-anchor {
        border-radius: 0 0 20px 20px;
    }
</style>
